⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/mfa/totp

Enable TOTP for your account by verifying a code for the provided secret.

POST/api/user/mfa/totp

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/user/mfa/totp" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "secret": "string"  }'
{  "id": "string",  "username": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "role": "USER",  "view": {    "enabled": true,    "disableTextFiles": true,    "align": "left",    "showMimetype": true,    "showTags": true,    "showFolder": true,    "content": "string",    "embed": true,    "embedMediaOnly": true,    "embedTitle": "string",    "embedDescription": "string",    "embedColor": "string",    "embedSiteName": "string",    "discordComponentEmbed": {      "enabled": true,      "id": 0,      "accentColor": "string",      "spoiler": true,      "components": [        {          "type": 1,          "id": 0,          "components": [            {              "type": 2,              "id": 0,              "url": "string",              "label": "string",              "emojiName": "string",              "emojiId": "string",              "emojiAnimated": true,              "disabled": true            }          ]        }      ]    }  },  "avatar": "string",  "quickLinks": [    "uploadFile"  ],  "sessions": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "ua": "string",      "client": "string",      "device": "string",      "userId": "string"    }  ],  "oauthProviders": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "userId": "string",      "provider": "DISCORD",      "username": "string",      "oauthId": "string"    }  ],  "totpEnabled": true,  "passkeys": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "lastUsed": "2019-08-24T14:15:22Z",      "name": "string",      "reg": null,      "userId": "string"    }  ],  "quota": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "filesQuota": "BY_BYTES",    "maxBytes": "string",    "maxFiles": -2147483648,    "maxUrls": -2147483648,    "userId": "string"  }}